Index: sasmodels/generate.py
===================================================================
--- sasmodels/generate.py	(revision 0a4628d166f9d3d4ed9811ec8882eea0e9675a8e)
+++ sasmodels/generate.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -191,5 +191,5 @@
 The function :func:`make` loads the metadata from the module and returns
 the kernel source.  The function :func:`doc` extracts the doc string
-and adds the parameter table to the top.  The function :func:`sources`
+and adds the parameter table to the top.  The function :func:`model_sources`
 returns a list of files required by the model.
 """
@@ -206,5 +206,5 @@
 import numpy as np
 
-__all__ = ["make", "doc", "sources", "convert_type"]
+#__all__ = ["make", "doc", "model_sources", "convert_type"]
 
 C_KERNEL_TEMPLATE_PATH = joinpath(dirname(__file__), 'kernel_template.c')
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision 8007311db20a23588c62551c8a69f089cf8835e1)
+++ sasmodels/models/core_shell_bicelle.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -7,5 +7,5 @@
 The form factor is normalized by the particle volume.
 
-.. _core-shell-cylinder-geometry:
+.. _core-shell-bicelle-geometry:
 
 .. figure:: img/core_shell_bicelle_geometry.png
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision 8c9dbc9161c033ba16aba0b54213deb314c953a0)
+++ sasmodels/models/core_shell_sphere.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -15,4 +15,5 @@
 
 .. math::
+
     F^2(q)=\frac{3}{V_s}\left[V_c(\rho_c-\rho_s)\frac{\sin(qr_c)-qr_c\cos(qr_c)}{(qr_c)^3}+
     V_s(\rho_s-\rho_{solv})\frac{\sin(qr_s)-qr_s\cos(qr_s)}{(qr_s)^3}\right]
@@ -41,7 +42,7 @@
 our model and the output of the NIST software.
 
-.. image:: img/core_shell_sphere_1d.jpg
+.. figure:: img/core_shell_sphere_1d.jpg
 
-    Figure 1: Comparison of the SasView scattering intensity for a core-shell sphere with
+    Comparison of the SasView scattering intensity for a core-shell sphere with
     the output of the NIST SANS analysis software. The parameters were set to:
     *scale* = 1.0, *radius* = 60 , *contrast* = 1e-6 |Ang^-2|, and
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision b7c2fcea5b553bdc935287b253bc4a360bf6cf0c)
+++ sasmodels/models/elliptical_cylinder.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -10,11 +10,12 @@
 to any of the orientation angles, and also for the minor radius and the ratio of the ellipse radii.
 
-.. image:: img/elliptical_cylinder_geometry.gif
+.. figure:: img/elliptical_cylinder_geometry.gif
 
-    *Figure.* *a* = *r_minor* and |nu|\ :sub:`n` = $r_ratio$ (i.e., $r_major / r_minor$).
+    *a* = *r_minor* and |nu|\ :sub:`n` = $r_ratio$ (i.e., $r_major / r_minor$).
 
 The function calculated is
 
 .. math::
+
     I(\mathbf{q})=\frac{1}{V_{cyl}}\int{d\psi}\int{d\phi}\int{p(\theta,\phi,\psi)F^2(\mathbf{q},\alpha,\psi)\sin(\theta)d\theta}
 
@@ -22,4 +23,5 @@
 
 .. math::
+
     F(\mathbf{q},\alpha,\psi)=2\frac{J_1(a)\sin(b)}{ab}
     \\
@@ -40,6 +42,4 @@
     P(q) = scale  <F^2> / V
 
-The returned value is scaled to units of |cm^-1|.
-
 To provide easy access to the orientation of the elliptical cylinder, we define the axis of the cylinder using two
 angles |theta|, |phi| and |bigpsi|. As for the case of the cylinder, the angles |theta| and |phi| are defined on
@@ -49,11 +49,11 @@
 All angle parameters are valid and given only for 2D calculation; ie, an oriented system.
 
-.. image:: img/elliptical_cylinder_geometry_2d.jpg
+.. figure:: img/elliptical_cylinder_geometry_2d.jpg
 
-    *Figure. Definition of angles for 2D*
+    Definition of angles for 2D
 
-.. image:: img/core_shell_bicelle_fig2.jpg
+.. figure:: img/core_shell_bicelle_fig2.jpg
 
-    *Figure. Examples of the angles for oriented elliptical cylinders against the detector plane.*
+    Examples of the angles for oriented elliptical cylinders against the detector plane.
 
 NB: The 2nd virial coefficient of the cylinder is calculated based on the averaged radius (= sqrt(*r_minor*\ :sup:`2` \* *r_ratio*))
@@ -61,7 +61,7 @@
 
 
-.. image:: img/elliptical_cylinder_comparison_1d.jpg
+.. figure:: img/elliptical_cylinder_comparison_1d.jpg
 
-    *Figure. 1D plot using the default values (w/1000 data point).*
+    1D plot using the default values (w/1000 data point).
 
 Validation
@@ -73,14 +73,14 @@
 and 76 degrees are taken for the angles of |theta|, |phi|, and |bigpsi| respectively).
 
-.. image:: img/elliptical_cylinder_validation_1d.gif
+.. figure:: img/elliptical_cylinder_validation_1d.gif
 
-    *Figure. Comparison between 1D and averaged 2D.*
+    Comparison between 1D and averaged 2D.
 
 In the 2D average, more binning in the angle |phi| is necessary to get the proper result. The following figure shows
 the results of the averaging by varying the number of angular bins.
 
-.. image:: img/elliptical_cylinder_averaging.gif
+.. figure:: img/elliptical_cylinder_averaging.gif
 
-    *Figure. The intensities averaged from 2D over different numbers of bins and angles.*
+    The intensities averaged from 2D over different numbers of bins and angles.
 
 Reference
Index: sasmodels/models/guinier_porod.py
===================================================================
--- sasmodels/models/guinier_porod.py	(revision 21d1031a3eb0c8a5883f73d8fa5a42736944a68d)
+++ sasmodels/models/guinier_porod.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -51,7 +51,7 @@
     q = \sqrt{q_x^2+q_y^2}
 
-.. image:: img/guinier_porod_model.jpg
+.. figure:: img/guinier_porod_model.jpg
 
-    Figure 1: Guinier-Porod model for $R_g=100$ |Ang|, $s=1$, $m=3$, and $background=0.1$.
+    Guinier-Porod model for $R_g=100$ |Ang|, $s=1$, $m=3$, and $background=0.1$.
 
 
Index: sasmodels/models/line.py
===================================================================
--- sasmodels/models/line.py	(revision e66075fa234147971eb4571c9a16e6f23eb35e29)
+++ sasmodels/models/line.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -13,8 +13,7 @@
 .. note::
     For 2D plots intensity has different definition than other shape independent models
+
 .. math::
     I(q) = I(qx) \cdot I(qy)
-
-.. figure:: None
 
 References
Index: sasmodels/models/rpa.py
===================================================================
--- sasmodels/models/rpa.py	(revision 8dd691474e20ca55befd08cb62489c44a15d5eb5)
+++ sasmodels/models/rpa.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -43,5 +43,5 @@
 component.
 
-.. figure:: img/image215.jpg
+.. figure:: img/rpa_1d.jpg
 
     1D plot using the default values (w/500 data points).
Index: sasmodels/models/vesicle.py
===================================================================
--- sasmodels/models/vesicle.py	(revision 068cebd186a5297589c4a04793fe1eacac49a7bf)
+++ sasmodels/models/vesicle.py	(revision fa8011eb0e6b527e15b594945876ee39b6a46dbd)
@@ -24,5 +24,5 @@
 is a flat background level (due for example to incoherent scattering in the
 case of neutrons), and $j_1$ is the spherical bessel function
-$j_1 = (sin(x) - x cos(x))/ x^2$.
+$j_1 = (\sin(x) - x \cos(x))/ x^2$.
 
 The functional form is identical to a "typical" core-shell structure, except
@@ -35,5 +35,7 @@
 thickness = $R_{\text{tot}} - R_{\text{core}}$.
 
-.. figure: img/vesicle_geometry.jpg
+.. figure:: img/vesicle_geometry.jpg
+
+    Vesicle geometry.
 
 The 2D scattering intensity is the same as *P(q)* above, regardless of the
@@ -48,9 +50,9 @@
 radius for *S(Q)* when *P(Q)* \* *S(Q)* is applied.
 
-.. image:: img/vesicle_1d.jpg
+.. figure:: img/vesicle_1d.jpg
 
-*Figure. 1D plot using the default values given in the table
-(w/200 data point). Polydispersity and instrumental resolution normally
-will smear out most of the rapidly oscillating features.*
+    1D plot using the default values given in the table (w/200 data point).
+    Polydispersity and instrumental resolution normally will smear out most
+    of the rapidly oscillating features.
 
 REFERENCE
